Bug 68924

Summary: [WK2] Support setMarkedText/hasMarkedText/unmarkText/insertText for WTR TextInputController
Product: WebKit Reporter: Chang Shu <cshu>
Component: Tools / TestsAssignee: Chang Shu <cshu>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, tonikitoo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 42337, 66561    
Attachments:
Description Flags
patch 1
darin: review+, webkit.review.bot: commit-queue-
patch 2: rebase none

Description Chang Shu 2011-09-27 12:02:36 PDT
Support the above functions for TextInputController
Comment 1 Chang Shu 2011-09-29 07:22:13 PDT
Created attachment 109161 [details]
patch 1
Comment 2 Chang Shu 2011-10-03 13:20:58 PDT
ping reviewer. :)
Comment 3 Chang Shu 2011-10-05 10:44:19 PDT
Darin, would you review this when you get a chance? thx!
Comment 4 Chang Shu 2011-10-05 11:19:43 PDT
Comment on attachment 109161 [details]
patch 1

thanks!
Comment 5 WebKit Review Bot 2011-10-05 11:21:35 PDT
Comment on attachment 109161 [details]
patch 1

Rejecting attachment 109161 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
Bindings/TextInputController.idl
patching file Tools/WebKitTestRunner/InjectedBundle/qt/InjectedBundle.pro
patching file Tools/WebKitTestRunner/WebKitTestRunner.xcodeproj/project.pbxproj
patching file Tools/WebKitTestRunner/win/InjectedBundle.vcproj
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/platform/wk2/Skipped

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/9954521
Comment 6 Chang Shu 2011-10-05 11:52:16 PDT
Created attachment 109830 [details]
patch 2: rebase
Comment 7 WebKit Review Bot 2011-10-05 12:45:47 PDT
Comment on attachment 109830 [details]
patch 2: rebase

Clearing flags on attachment: 109830

Committed r96740: <http://trac.webkit.org/changeset/96740>
Comment 8 WebKit Review Bot 2011-10-05 12:45:54 PDT
All reviewed patches have been landed.  Closing bug.